%define cbqver v0.6.2
%define snapshot ss010824
Name: iproute2
Version: 2.4.7
Release: alt3.%snapshot

Summary: Enhanced IP routing and network devices configuration tools
Copyright: GPL
Group: Networking/Other

Source: %name-%version-now-%snapshot.tar.bz2
Source1: %name-manpages.tar.bz2
Source3: cbq.init-%cbqver
Source4: cbq-0000.example
Source5: guaranteed.ps.bz2 
Source6: link.ps.bz2 
Source7: README-cbq-use.bz2 
Source8: tcio7.ps.bz2

Patch1: %name-2.4.7-rh-config.patch
Patch2: %name-2.4.7-rh-promisc-allmulti.patch
Patch3: %name-2.4.7-pld-owl-ll_types_proto.patch
Patch4: %name-2.4.7-owl-warnings.patch
Patch5: %name-2.2.4-docmake.patch

Provides: iproute = %version
Obsoletes: iproute

# Automatically added by buildreq on Tue Apr 02 2002
BuildRequires: tetex tetex-dvips tetex-latex

%description
Linux 2.2 maintains compatibility with the basic configuration utilities of
the network (ifconfig, route) but a new utility is required to exploit the new
characteristics and features of the kernel, such as policy routing, fast NAT
and packet scheduling. This package includes the new utilities
(/sbin/ip, /sbin/tc, /sbin/rtmon, %_sbindir/rtacct).

%description -l ru_RU.KOI8-R
     Linux 2.2     
 ( ,     NAT,
  ).      (/sbin/ip, 
/sbin/tc, /sbin/rtmon, %_sbindir/rtacct),    
Linux 2.2 .

%prep
%setup -q -n %name -a1
install -p -m644 %SOURCE5 %SOURCE6 %SOURCE7 %SOURCE8 doc
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%make_build \
	CCOPTS="-D_GNU_SOURCE $RPM_OPT_FLAGS -Wstrict-prototypes -Werror" \
	KERNEL_INCLUDE=/usr/lib/kernel/include
%make_build -C doc
bzip2 -9 doc/*.ps ||:

perl -pi -e 's,/sbin/arping,/usr/sbin/arping,g' examples/dhcp-client-script

%install
mkdir -p $RPM_BUILD_ROOT{/sbin,%_sbindir,%_sysconfdir/%name,%_initdir,%_sysconfdir/sysconfig/cbq,%_man8dir}

install -p -m755 ip/{ip,ifcfg,rtmon} tc/tc $RPM_BUILD_ROOT/sbin/
install -p -m755 ip/rtacct $RPM_BUILD_ROOT%_sbindir/
install -p -m644 etc/%name/* $RPM_BUILD_ROOT%_sysconfdir/%name/
install -p -m755 %SOURCE3 $RPM_BUILD_ROOT%_initdir/cbq
install -p -m644 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/cbq
install -p -m644 %name-man/*.8 $RPM_BUILD_ROOT%_man8dir/

%files
/sbin/*
%_sbindir/*
%dir %_sysconfdir/%name
%dir %_sysconfdir/sysconfig/cbq
%_initdir/*
%config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_sysconfdir/sysconfig/cbq/*
%_mandir/man?/*
%doc README* RELNOTES doc/*.ps* examples

%changelog
* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt3.ss010824
- Rebuilt in new environment.

* Tue Apr 02 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.7-alt2.ss010824
- Updated code to ss010824.
- Fixed build without kernel-source installed.
- Merged in RH patches:
  + %name-2.4.7-rh-config.patch
  + %name-2.4.7-rh-promisc-allmulti.patch
- Merged in Owl patches:
  + %name-2.4.7-pld-owl-ll_types_proto.patch
  + %name-2.4.7-owl-warnings.patch
- Added manpages from Owl.

* Tue Aug 14 2001 Alexander Bokovoy <ab@altlinux.ru> 2.4.7-alt1
- 2.4.7, cbq.init 0.6.2

* Thu Jan 04 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl10mdk
- Removed README.cbq-init, it is %_initdir/cbq now.
- Recompressed postscript documentation with bzip2 since
  our postscript viewer (gv) can show bzipped documents.

* Tue Dec 27 2000 Alexander Bokovoy <ab@avilink.net> 2.2.4-ipl9mdk
- Wrong dependency caused by wrong path (/sbin/arping) in example
  script dhcp-client-script fixed.

* Tue Dec 26 2000 Alexander Bokovoy <ab@avilink.net> 2.2.4-ipl8mdk
- Sally Floyd's papers added as well additional docs about CBQ
- cbq.init script integrated (it really should be in this package)

* Thu Oct 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl7mdk
- ss001007.
- Merge RH patches.

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl6mdk
- RE adaptions.

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-6mdk
- fix config files

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-5mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.2.4-4mdk
- removed _sysconfdir 
- added %clean

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- fix a few typo (chrs scks :-) ) and make this spec short-circuit aware :
  *  _sysconfig/_sysconfdir
  *  creation of subdirs while installing
- Christian Zoffoli <czoffoli@linux-mandrake.com> : macroszifications

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
